# Get loan rates

Endpoint: GET /people/{personId}/loans/{loanId}/rates
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Response 200 fields (application/json):

  - `data` (object)

  - `data.interestRates` (array)

  - `data.interestRates.interestType` (string)
    The interest type. The interest type cannot be changed after the loan status changes to `originated` and onward.
Interest rates defined as `spread` will calculate an absolute rate by adding the relative loan rate (aka spread)
provided here to the Index Interest Rate effective on the date the interest is accrued. In case the Index Interest
Rate is not set, the system will assume that the Index Interest Rate value is zero on the date the interest is accrued.
Interest rates defined as `absolute` will use the value as provided here without adding the Index Interest Rate.
    Enum: "absolute", "spread"

  - `data.promoRates` (array)

  - `data.promoRates.annualRate` (number, required)
    The annual interest or promo rate for the period defined. Format is decimal. For example, 0.01 is 1% annual rate, 0.2 is 20% annual rate.

  - `data.promoRates.endDate` (string)
    The rate end date in the product timezone. The end date is inclusive.
If `null` then the rate is applicable until the end of the loan.

  - `data.promoRates.id` (string)
    Unique identifier of the interest or promo rate.

  - `data.promoRates.setAtActivation` (boolean)
    `true` if the rate was set at loan activation. Rates set at activation cannot be removed
without a special permission. Rates set after activation are set as `false` and do not
require a special permission for removal.

  - `data.promoRates.startDate` (string, required)
    The rate start date in the product timezone. The start date is inclusive.

  - `data.promoRates.status` (string)
    The status of the rate.
`active` - the rate is active.
`inactive` - the rate is inactive as it was removed.
    Enum: "active", "inactive"

  - `data.promoRates.type` (string)
    Enum: "interestRate", "promoRate"

